Author Topic: cant update  (Read 4718 times)

0 Members and 1 Guest are viewing this topic.

Offline 700rmk

  • Newbie
  • *
  • Posts: 2
cant update
« on: November 10, 2006, 07:24:40 AM »
had previous avast home version.  could not update.  message reads my registration expired in 1969.  todays date is current.  re-registered...no luck.  removed avast, went to web and reloaded current version 4.7.  registered with new reg code.  tried updates.  same message.  registration info under "about" indicates license good till January 2008.  any ideas? ???

Offline Lisandro

  • Avast team
  • Certainly Bot
  • *
  • Posts: 67255
Re: cant update
« Reply #1 on: November 10, 2006, 01:44:51 PM »
Basically, check:

1) If the servers.def file is corrupt or 0KB (C:\Program Files\Alwil Software\Avast4\Setup\servers.def).
    You can try and download the servers.def file, http://files.avast.com/iavs4x/servers.def and replace the one in the avast setup folder.

2) If your subscription allows the update right now (i.e., if it is not expired).

3) If your firewall settings and allow avast.setup to connect.
    If you're not sure, just turn off your firewall (to be sure the update failure is not due to it).
    Maybe you should 'remove' avast.setup entry, try to update, receiving a new alert from the firewall, allowing it and checking it to remember.

4)  Check your proxy settings into avast!:
     Left click the avast icon > Settings
     Update (Basic) > Details > Proxy
     Make sure your browser is not set to "Work Offline" (this option is generally in the File menu).
     If it doesn't help, try switching the proxy settings from "Auto-detect" to "No proxy" (I'm assuming you're not connecting to the Internet via proxy).

could not update. message reads my registration expired in 1969.
Any more info about the update error in avast logs?
The best things in life are free.

Offline agent_logic

  • Newbie
  • *
  • Posts: 15
  • I'm h4x0r. L0L.
    • My Wacky Blog
Re: cant update
« Reply #2 on: November 10, 2006, 02:15:02 PM »
Hey there,

I have the same problem... almost. I get an error (a little red square pops up on the bottom right corner instead of the green one) saying "There was a problem updating. Click for more information". When I click, nothing happens. I tried manually downloading the updates and installing, but I get another error saying: "Can't install VPS update. Please, report following errorcodes:

Ver 4.7.892
SI: 0x00000002
ST: 0x00000002
LE: 0x00000000.

The avast log says: Function SetifaceUpdatePackages() has failed. Return code is 0x00000426, dwRes is 00000002.

My updates have not expired, I don't have a firewall and neither do I connect through a proxy. Any ideas? >:(
I wish my lawn was emo, then it would cut itself.

Offline 700rmk

  • Newbie
  • *
  • Posts: 2
Re: cant update
« Reply #3 on: November 15, 2006, 05:25:30 AM »
I solved my problem.  Seems Webroots Spy Catcher interfered with updates.  Since I also manually check for spyware with Adaware, Spywareblaster and Spycatcher, I uninstalled the trial version of Spy Catcher.

Offline Spiritsongs

  • Avast Evangelist
  • Super Poster
  • ***
  • Posts: 1757
  • Ad-aware orientated Support forum(s)
Good & FREE antiSPYWARE program(s)
« Reply #4 on: November 15, 2006, 05:43:39 AM »
 :)  Hi "700: :

     You made a wise decision in uninstalling "Spy Catcher"; several months ago I tried it and was
     very disappointed when its "Full Scan" reported 4 Major "items", all of which were false
     positives . Webroot makes "SpySweeper", not "Spy Catcher". I also have Ad-Aware Personal;
     however, I feel one should have a "2nd Opinion" when it comes to spyware/trojan detection,
    so I use the FREE version of "SUPERantispyware" from www.superantispyware.com .
For the Best in what counts in Life :
www.tacf.org

Offline alanrf

  • Avast Evangelist
  • Massive Poster
  • ***
  • Posts: 3866
  • Just an avast user
Re: cant update
« Reply #5 on: November 15, 2006, 06:38:35 AM »
I am concerned about the recommendations in this forum for anti-spyware without any warnings attached.

It seems to me we are seeing more and more instances of anti-spyware programs - given free rein- damaging the ability of avast to function properly.   This is not just the more questionable offerings out there. 

So again I see a recommendation for SuperAntiSpyware here without caveat.  If I recall correctly ... on the last avast program upgrade we saw a number of users of this product having problems because SuperAntiSpyware was preventing avast from performing its valid startup functions. 

I recall DavidR (one of our most respected contributors) has advised using SuperAntiSpyware as an on demand scanner only.

Perhaps the current recommender, Spiritsongs, can advise us if SuperAntiSpyware has mended its ways since the last avast program upgrade.   


Offline Spiritsongs

  • Avast Evangelist
  • Super Poster
  • ***
  • Posts: 1757
  • Ad-aware orientated Support forum(s)
"SUPERantispyware"
« Reply #6 on: November 15, 2006, 06:06:12 PM »
 :)  Hi Alan :

     I thought I said clearly "FREE version" of SUPERantispyware, which would be
     the "on demand scanner only" !? I have no recollection that SUPERantispyware
     prevented Avast Startup functions after the last Avast program update; I have
     not experienced this . Could always ask on the SUPERantispyware Support Forums
     at http://forums.superantispyware.com   !?
For the Best in what counts in Life :
www.tacf.org

Offline DavidR

  • Avast √úberevangelist
  • Certainly Bot
  • *****
  • Posts: 84586
  • No support PMs thanks
Re: cant update
« Reply #7 on: November 15, 2006, 07:24:16 PM »
I think it may be Spyware Terminator that Alan is mistaking/quoting as it is a resident anti-spyware option and I believe it has a start-up blocker function. However, the paid for version of SuperAntiSpyware is resident, I have had no problems with the free version of this product on-demand only.

No matter what anti-spyware or security based program you are going to use you should fully familiarise yourself with its various settings and how they might impact on other programs. If a setting has a blocking function, ensure you set it to ask rather than automatically block without notification.
Windows 10 Home 2004 64bit/ Acer Aspire F15/ Intel Core i5 7200U 2.5GHz, 8GB DDR4 memory, 256GB SSD, 1TB HDD/ avast! free 21.1.2449 (build 21.1.5968.561) UI-1.0.597/ WinPatrol+/ Firefox, uBlock Origin, uMatrix/ MailWasher Pro/ Avast! Mobile Security